TranslatingWrapper subclass:#LayoutWrapper
	instanceVariableNames:'layout'
	classVariableNames:''
	poolDictionaries:''
	category:'Graphics-Display Objects'
!


!LayoutWrapper class methodsFor:'instance creation'!

on:aComponent in:aLayout
    "create and return a layoutWrapper, which controls
     aComponent bounds using aLayout.
     The layout argument may be:
        nil       - no constraint
        Point     - origin shift
        Rectangle - origin shift & extent
        Layout    - full control"

    ^ (self on:aComponent) layout:aLayout

    "Created: 26.5.1996 / 16:18:44 / cg"
    "Modified: 26.5.1996 / 16:34:04 / cg"
! !

!LayoutWrapper methodsFor:'accessing'!

layout
    "return layout"

    ^ layout

    "Created: 26.5.1996 / 16:18:11 / cg"
!

layout:something
    "set layout"

    layout := something.

    "Created: 26.5.1996 / 16:18:11 / cg"
! !

!LayoutWrapper class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libview2/LayoutWrapper.st,v 1.1 1996-05-28 22:43:39 cg Exp $'
! !
